Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Attributes | List of all members
eZ\Publish\Core\REST\Client\Values\User\RoleCreateStruct Class Reference

Implementation of the \eZ\Publish\API\Repository\Values\User\RoleCreateStruct class. More...

Inheritance diagram for eZ\Publish\Core\REST\Client\Values\User\RoleCreateStruct:

## Public Member Functions
| __construct ($name)
| Instantiates a role create class. More...
| getPolicies ()
| Returns policies associated with the role. More...
| addPolicy (Values\User\PolicyCreateStruct $policyCreateStruct)
| Adds a policy to this role. More...
Public Member Functions inherited from eZ\Publish\API\Repository\Values\User\RoleCreateStruct
| addPolicy (PolicyCreateStruct $policyCreateStruct)
| Adds a policy to this role. More...
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __construct (array $properties=[])
| Construct object optionally with a set of properties. More...
| __set ($property, $value)
| Magic set function handling writes to non public properties. More...
| __get ($property)
| Magic get function handling read to non public properties. More...
| __isset ($property)
| Magic isset function handling isset() to non public properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...

## Private Attributes
| $policies = array()

## Additional Inherited Members
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Public Attributes inherited from eZ\Publish\API\Repository\Values\User\RoleCreateStruct
| $identifier
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...

## Detailed Description

Implementation of the \eZ\Publish\API\Repository\Values\User\RoleCreateStruct class.

See also
  \eZ\Publish\API\Repository\Values\User\RoleCreateStruct

Definition at line 18 of file Core/REST/Client/Values/User/RoleCreateStruct.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\REST\Client\Values\User\RoleCreateStruct::__construct | ( |  | $name | ) |

Instantiates a role create class.

Parameters

  string | $name |

Definition at line 28 of file Core/REST/Client/Values/User/RoleCreateStruct.php.

## Member Function Documentation

## ◆ addPolicy()

eZ\Publish\Core\REST\Client\Values\User\RoleCreateStruct::addPolicy | ( | Values\User\PolicyCreateStruct | $policyCreateStruct | ) |

Adds a policy to this role.

Parameters

  \eZ\Publish\API\Repository\Values\User\PolicyCreateStruct | $policyCreateStruct |

Definition at line 48 of file Core/REST/Client/Values/User/RoleCreateStruct.php.

## ◆ getPolicies()

eZ\Publish\Core\REST\Client\Values\User\RoleCreateStruct::getPolicies | ( |  | ) |

Returns policies associated with the role.

Returns
  \eZ\Publish\API\Repository\Values\User\PolicyCreateStruct[]

Reimplemented from eZ\Publish\API\Repository\Values\User\RoleCreateStruct.

Definition at line 38 of file Core/REST/Client/Values/User/RoleCreateStruct.php.

References eZ\Publish\Core\REST\Client\Values\User\RoleCreateStruct\$policies.

## Member Data Documentation

## ◆ $policies

eZ\Publish\Core\REST\Client\Values\User\RoleCreateStruct::$policies = array()
| private

Definition at line 21 of file Core/REST/Client/Values/User/RoleCreateStruct.php.

Referenced by eZ\Publish\Core\REST\Client\Values\User\RoleCreateStruct\getPolicies().

The documentation for this class was generated from the following file:

- Core/REST/Client/Values/User/RoleCreateStruct.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.